package com.bjtdba.order.service.impl;

import com.bjtdba.entity.order.Recommend;
import com.bjtdba.order.dao.RecommendDao;
import com.bjtdba.order.service.RecommendService;
import com.bjtdba.order.vo.CategoryVo;
import com.bjtdba.order.vo.RecommendDetailVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * (Recommend)表服务实现类
 *
 * @author makejava
 * @since 2022-10-19 13:24:00
 */
@Service("recommendService")
public class RecommendServiceImpl implements RecommendService {
    @Resource
    private RecommendDao recommendDao;

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    @Override
    public Recommend queryById(Integer id) {
        return this.recommendDao.queryById(id);
    }


//    @Override
//    public Page<Recommend> queryByPage(Recommend recommend, PageRequest pageRequest) {
//        long total = this.recommendDao.count(recommend);
//        return new PageImpl<>(this.recommendDao.queryAllByLimit(recommend, pageRequest), pageRequest, total);
//    }

    public List<Recommend> querList(Recommend recommend){
        return recommendDao.queryAllByLimit(recommend);
    }
    /**
     * 新增数据
     *
     * @param recommend 实例对象
     * @return 实例对象
     */
    @Override
    public Recommend insert(Recommend recommend) {
        this.recommendDao.insert(recommend);
        return recommend;
    }

    /**
     * 修改数据
     *
     * @param recommend 实例对象
     * @return 实例对象
     */
    @Override
    public Recommend update(Recommend recommend) {
        this.recommendDao.update(recommend);
        return this.queryById(recommend.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.recommendDao.deleteById(id) > 0;
    }
    /**
     * 查询小于等于当前的前10条日期
     * @return
     */
    public  List<Date> queryShowTime(){
        return recommendDao.queryShowTime();
    }

    /**
     * 查询大仓商品详细信息
     * @return
     */
    public  RecommendDetailVo queryDetail(Integer id){
        return recommendDao.queryDetail(id);
    }

    @Override
    public List<CategoryVo> queryCategorylist() {
        return recommendDao.queryCategorylist();
    }
    public  Map<String,String> queryByIdShare(Integer id){
        return recommendDao.queryByIdShare(id);
    }

    /**
     * 店铺分类
     */
    public List<CategoryVo>  queryCategorylistMerid(Integer merid){
        return recommendDao.queryCategorylistMerid(merid);
    }


}
